Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfRepeatType

    java.lang.Object
      java.lang.Enum<OdfRepeatType>
          org.odftoolkit.odfdom.dom.type.style.OdfRepeatType

All Implemented Interfaces:
  Serializable, Comparable<OdfRepeatType>

    public enum OdfRepeatType

extends Enum<OdfRepeatType>

DOM implementation of OpenDocument attribute style:repeat.

Enum Constant Summary
`NO_REPEAT`
`REPEAT`
`STRETCH`

Method Summary
`static OdfRepeatType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfRepeatType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfRepeatType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfRepeatType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### REPEAT

    public static final OdfRepeatType REPEAT

### STRETCH

    public static final OdfRepeatType STRETCH

### NO_REPEAT

    public static final OdfRepeatType NO_REPEAT

Method Detail

### values

    public static OdfRepeatType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfRepeatType c : OdfRepeatType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfRepeatType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfRepeatType>`
  Returns:
    return the name of OdfRepeatType

### toString

    public static String toString(OdfRepeatType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfRepeatType, see style:repeat
  Returns:
    return the name of OdfRepeatType

### enumValueOf

    public static OdfRepeatType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfRepeatType
  Returns:
    return the constant of OdfRepeatType, see style:repeat

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.